// 定义方向枚举
export enum Direction {
	/** @description 上 */
	Up = 0,
	/** @description 下 */
	Down = 1,
	/** @description 左 */
	Left = 2,
	/** @description 右 */
	Right = 3,
	/** @description 左上 */
	UpperLeft = 4,
	/** @description 左下 */
	LowerLeft = 5,
	/** @description 右上 */
	UpperRight = 6,
	/** @description 右下 */
	LowerRight = 7,
	/** @description 放大 */
	ZoomIn = 8,
	/** @description 缩小 */
	ZoomOut = 9,
	/** @description 近焦距 */
	FocusNear = 10,
	/** @description 远焦距 */
	FocusFar = 11,
	/** @description 自动控制 */
	AutoControl = 16,
}

// 定义速度枚举
export enum Speed {
	/** @description 慢 */
	Slow = 0,
	/** @description 适中 */
	Medium = 1,
	/** @description 快 */
	Fast = 2,
}

// 方向映射
export const directionMap = {
	[Direction.Up]: '上',
	[Direction.Down]: '下',
	[Direction.Left]: '左',
	[Direction.Right]: '右',
	[Direction.UpperLeft]: '左上',
	[Direction.LowerLeft]: '左下',
	[Direction.UpperRight]: '右上',
	[Direction.LowerRight]: '右下',
	[Direction.ZoomIn]: '放大',
	[Direction.ZoomOut]: '缩小',
	[Direction.FocusNear]: '近焦距',
	[Direction.FocusFar]: '远焦距',
	[Direction.AutoControl]: '自动控制',
};

// 速度映射
export const speedMap = {
	[Speed.Slow]: '慢',
	[Speed.Medium]: '适中',
	[Speed.Fast]: '快',
};

export type YingShiControl = {
	direction: Direction;
	speed: Speed;
};
